Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.persondir.support
Class EchoPersonAttributeDaoImpl

    java.lang.Object
      org.jasig.portal.services.persondir.support.AbstractDefaultQueryPersonAttributeDao
          org.jasig.portal.services.persondir.support.EchoPersonAttributeDaoImpl

All Implemented Interfaces:
  IPersonAttributeDao

    public class EchoPersonAttributeDaoImpl

extends AbstractDefaultQueryPersonAttributeDao

Simply returns the seed it is passed.

Since:
  uPortal 2.5
Version:
  $Revision: 1.5 $ $Date: 2005/04/06 15:30:27 $
Author:
  Eric Dalquist edalquist@unicon.net

Field Summary

Fields inherited from class org.jasig.portal.services.persondir.support.AbstractDefaultQueryPersonAttributeDao
`log`

Constructor Summary
`EchoPersonAttributeDaoImpl()`

Method Summary
`java.util.Set` | `getPossibleUserAttributeNames()` Possible attributes are unknown; will always return `null`.
`java.util.Map` | `getUserAttributes(java.util.Map seed)` Returns a duplicate of the seed it is passed.

Methods inherited from class org.jasig.portal.services.persondir.support.AbstractDefaultQueryPersonAttributeDao
`getDefaultAttributeName, getUserAttributes, setDefaultAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EchoPersonAttributeDaoImpl

    public EchoPersonAttributeDaoImpl()

Method Detail

### getUserAttributes

    public java.util.Map getUserAttributes(java.util.Map seed)

  Returns a duplicate of the seed it is passed.

  Parameters:
    `seed` - immutable Map of attributes to values to seed the query
  Returns:
    a Map equal to but not the same reference as the seed.
  See Also:
    `IPersonAttributeDao.getUserAttributes(java.util.Map)`

### getPossibleUserAttributeNames

    public java.util.Set getPossibleUserAttributeNames()

  Possible attributes are unknown; will always return `null`.

  Returns:
    null
  See Also:
    `IPersonAttributeDao.getPossibleUserAttributeNames()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD